function after_conv = bg_conv_gauss(bg_mask,convd,thresh)
    xdim = size(bg_mask,1);
    ydim = size(bg_mask,2);
    
    [Y, X] = meshgrid(1:1:ydim, 1:1:xdim);
    
    Kernel = exp(-1*((Y-ydim/2).^2+(X-xdim/2).^2)*log(2)/(convd)^2);
    
    mask_pad = zeros(2*xdim-1, 2*ydim-1);
    mask_pad(1:xdim, 1:ydim) = bg_mask;   
    
    Ker_pad = zeros(2*xdim-1, 2*ydim-1);
    Ker_pad(1:xdim, 1:ydim) = Kernel;   
    
    
    Conv = ifftshift(My_IFFTN(My_FFTN(mask_pad).*My_FFTN(Ker_pad)));  
    
    after_conv = Conv(round(xdim/2):round(xdim/2)+xdim-1,round(ydim/2):round(ydim/2)+ydim-1);
    after_conv = after_conv > thresh;
end
                
                
