% Simulate_Projections

% Author: Yongsoo Yang
% email: yongsoo.ysyang@gmail.com (YY)
% Jianwei (John) Miao Coherent Imaging Group
% University of California, Los Angeles

Angle_step = 12;
Min_tiltangle = -90;
Max_tiltangle = 89;

% generate tilt angles
TiltAngles = Min_tiltangle:Angle_step:Max_tiltangle;

% import 3D volume to generate 2D projections
Vol = importdata('./models/FePt_Vol_64.mat'); % a simulated 64x64x64 3D volume of a FePt nanoparticle
%Vol = importdata('vesicle.mat'); % a simulated 64x64x64 3D volume of avesicle

Projs = zeros(size(Vol,1),size(Vol,1),length(TiltAngles));

Phi = TiltAngles;  % Phi is the single tilt axis angle
Theta = zeros(size(TiltAngles));
Psi = zeros(size(TiltAngles));
Angles = [Phi; Theta; Psi];

% simulate the tilt series using real space interpolation
for AngleInd=1:length(TiltAngles)
    Projs(:,:,AngleInd) = My_get_3D_projection_interp(Vol, Phi(AngleInd), Theta(AngleInd), Psi(AngleInd));
end

% create a binary support
Support = ones(size(Vol));

% save results
save ./data/test_projections.mat Projs
save ./data/test_angles.mat Angles
save ./data/test_support.mat Support

